﻿@model Dokument

@{
    ViewBag.Title = "Ažuriranje dokumenta";
}

<form asp-route-page="@ViewBag.Page"
      asp-route-sort="@ViewBag.Sort"
      asp-route-ascending="@ViewBag.Ascending"
      method="post">
    <div asp-validation-summary="All"></div>
    <input type="hidden" asp-for="UrudzbeniBr" />
    <div class="form-group">
        <label asp-for="Naslov" class="control-label"></label>
        <input asp-for="Naslov" class="form-control" />
        <span asp-validation-for="Naslov" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="DatumDokumenta" class="control-label"></label>
        <input asp-for="DatumDokumenta" class="form-control" />
        <span asp-validation-for="DatumDokumenta" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="FileBinary" class="control-label"></label>
        <input type="text" asp-for="FileBinary" class="form-control" />
        <span asp-validation-for="FileBinary" class="text-danger"></span>
    </div>
    <div class="form-group">
        <label asp-for="FkVrstaDokumentaId" class="control-label"></label>
        <select asp-for="FkVrstaDokumentaId" class="form-control" asp-items="ViewBag.vrste">
            <option selected value="" disabled>Odaberite vrstu dokumenta</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkPonudaId" class="control-label"></label>
        <select asp-for="FkPonudaId" class="form-control" asp-items="ViewBag.ponude">
            <option selected value="" disabled>Odaberite ponudu</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkPonudaStrucnjakId" class="control-label"></label>
        <select asp-for="FkPonudaStrucnjakId" class="form-control" asp-items="ViewBag.ponudaStrucnjaci">
            <option selected value="" disabled>Odaberite stručnjaka</option>
        </select>
    </div>
    <div class="form-group">
        <label asp-for="FkNatjecajDokumentEvBr" class="control-label"></label>
        <select asp-for="FkNatjecajDokumentEvBr" class="form-control" asp-items="ViewBag.natjecaji">
            <option selected value="" disabled>Odaberite natječaj</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Spremi</button>
        <a asp-route-page="@ViewBag.Page"
           asp-route-sort="@ViewBag.Sort"
           asp-route-ascending="@ViewBag.Ascending"
           asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>